org.apache.solr.client.solrj.impl

## Class SolrPortAwareCookieSpecFactory.PortAwareCookieSpec

- java.lang.Object
- - org.apache.http.impl.cookie.AbstractCookieSpec
  - - org.apache.http.impl.cookie.CookieSpecBase
    - - org.apache.http.impl.cookie.NetscapeDraftSpec
      - - org.apache.solr.client.solrj.impl.SolrPortAwareCookieSpecFactory.PortAwareCookieSpec

All Implemented Interfaces:
  org.apache.http.cookie.CookieSpec

Enclosing class:
  SolrPortAwareCookieSpecFactory

    public static class SolrPortAwareCookieSpecFactory.PortAwareCookieSpec
    extends org.apache.http.impl.cookie.NetscapeDraftSpec

### Field Summary

### Fields inherited from class org.apache.http.impl.cookie.NetscapeDraftSpec

`EXPIRES_PATTERN`

### Constructor Summary

Constructors
Constructor and Description
`SolrPortAwareCookieSpecFactory.PortAwareCookieSpec()`
`SolrPortAwareCookieSpecFactory.PortAwareCookieSpec(String[] patterns)`

### Method Summary

### Methods inherited from class org.apache.http.impl.cookie.NetscapeDraftSpec

`formatCookies, getVersion, getVersionHeader, parse, toString`

### Methods inherited from class org.apache.http.impl.cookie.CookieSpecBase

`getDefaultDomain, getDefaultPath, match, parse, validate`

### Methods inherited from class org.apache.http.impl.cookie.AbstractCookieSpec

`findAttribHandler, getAttribHandler, getAttribHandlers, registerAttribHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SolrPortAwareCookieSpecFactory.PortAwareCookieSpec

    public SolrPortAwareCookieSpecFactory.PortAwareCookieSpec(String[] patterns)

#### SolrPortAwareCookieSpecFactory.PortAwareCookieSpec

    public SolrPortAwareCookieSpecFactory.PortAwareCookieSpec()